<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [nextPortWrite](./bitburner.ns.nextportwrite.md)

## NS.nextPortWrite() method

Listen for a port write.

**Signature:**

```typescript
nextPortWrite(port: number): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  port | number | Port to listen for a write on. Must be a positive integer. |

**Returns:**

Promise&lt;void&gt;

## Remarks

RAM cost: 0 GB

Sleeps until the port is written to.

